JUCE: ARAMusicalContextListener Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARAMusicalContextListener Class Reference
juce_audio_processors » utilities

A base class for listeners that want to know about changes to an ARAMusicalContext object. More...

`#include <juce_ARAModelObjects.h>`

Inheritance diagram for ARAMusicalContextListener:

## Public Member Functions
virtual | ~ARAMusicalContextListener ()=default
virtual void | willUpdateMusicalContextProperties (ARAMusicalContext *musicalContext, ARA::PlugIn::PropertiesPtr< ARA::ARAMusicalContextProperties > newProperties)
| Called before the musical context's properties are updated.
virtual void | didUpdateMusicalContextProperties (ARAMusicalContext *musicalContext)
| Called after the musical context's properties are updated by the host.
virtual void | doUpdateMusicalContextContent (ARAMusicalContext *musicalContext, ARAContentUpdateScopes scopeFlags)
| Called when the musical context's content (i.e tempo entries or chords) changes.
virtual void | didAddRegionSequenceToMusicalContext (ARAMusicalContext *musicalContext, ARARegionSequence *regionSequence)
| Called after a region sequence is added to the musical context.
virtual void | willRemoveRegionSequenceFromMusicalContext (ARAMusicalContext *musicalContext, ARARegionSequence *regionSequence)
| Called before a region sequence is removed from the musical context.
virtual void | didReorderRegionSequencesInMusicalContext (ARAMusicalContext *musicalContext)
| Called after the region sequences are reordered in an ARA MusicalContext.
virtual void | willDestroyMusicalContext (ARAMusicalContext *musicalContext)
| Called before the musical context is destroyed.

## Detailed Description

A base class for listeners that want to know about changes to an ARAMusicalContext object.

Use ARAMusicalContext::addListener() to register your listener with an ARAMusicalContext.

## Constructor & Destructor Documentation

## ◆ ~ARAMusicalContextListener()

virtual ARAMusicalContextListener::~ARAMusicalContextListener | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ willUpdateMusicalContextProperties()

virtual void ARAMusicalContextListener::willUpdateMusicalContextProperties | ( | ARAMusicalContext * | musicalContext,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARAMusicalContextProperties > | newProperties )
| virtual

Called before the musical context's properties are updated.

Parameters

  musicalContext | The musical context whose properties will be updated.
  newProperties | The musical context properties that will be assigned to `musicalContext`.

## ◆ didUpdateMusicalContextProperties()

virtual void ARAMusicalContextListener::didUpdateMusicalContextProperties | ( | ARAMusicalContext * | musicalContext | ) |
| virtual

Called after the musical context's properties are updated by the host.

Parameters

  musicalContext | The musical context whose properties were updated.

## ◆ doUpdateMusicalContextContent()

virtual void ARAMusicalContextListener::doUpdateMusicalContextContent | ( | ARAMusicalContext * | musicalContext,
|  | ARAContentUpdateScopes | scopeFlags )
| virtual

Called when the musical context's content (i.e tempo entries or chords) changes.

Parameters

  musicalContext | The musical context with updated content.
  scopeFlags | The scope of the content update indicating what has changed.

## ◆ didAddRegionSequenceToMusicalContext()

virtual void ARAMusicalContextListener::didAddRegionSequenceToMusicalContext | ( | ARAMusicalContext * | musicalContext,
|  | ARARegionSequence * | regionSequence )
| virtual

Called after a region sequence is added to the musical context.

Parameters

  musicalContext | The musical context that `regionSequence` was added to.
  regionSequence | The region sequence that was added to `musicalContext`.

## ◆ willRemoveRegionSequenceFromMusicalContext()

virtual void ARAMusicalContextListener::willRemoveRegionSequenceFromMusicalContext | ( | ARAMusicalContext * | musicalContext,
|  | ARARegionSequence * | regionSequence )
| virtual

Called before a region sequence is removed from the musical context.

Parameters

  musicalContext | The musical context that `regionSequence` will be removed from.
  regionSequence | The region sequence that will be removed from `musicalContext`.

## ◆ didReorderRegionSequencesInMusicalContext()

virtual void ARAMusicalContextListener::didReorderRegionSequencesInMusicalContext | ( | ARAMusicalContext * | musicalContext | ) |
| virtual

Called after the region sequences are reordered in an ARA MusicalContext.

Region sequences are sorted by their order index - this callback signals a change in this ordering within the musical context.

Parameters

  musicalContext | The musical context with reordered region sequences.

## ◆ willDestroyMusicalContext()

virtual void ARAMusicalContextListener::willDestroyMusicalContext | ( | ARAMusicalContext * | musicalContext | ) |
| virtual

Called before the musical context is destroyed.

Parameters

  musicalContext | The musical context that will be destroyed.

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h